package com.elab.spring.dao.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.persistence.Column;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * http故障数据记录
 *
 * @author liukx
 * @Date 2020-06-17 14:41
 */
@Table(name = "mng_http_failure_data")
@ApiModel(description = "http故障数据记录 实体")
public class MngHttpFailureDataEntity {

    /**
     * Id
     */
    @Id
    @ApiModelProperty(name = "id", value = "主键")
    private Integer id;

    /**
     * 请求路径
     */
    @Column(name = "url")
    @ApiModelProperty(name = "url", value = "请求路径")
    private String url;

    @Column(name = "project_name")
    @ApiModelProperty(name = "projectName", value = "项目名称")
    private String projectName;

    /**
     * 请求方式 GET/POST
     */
    @Column(name = "req_method")
    @ApiModelProperty(name = "reqMethod", value = "请求方式 GET/POST")
    private String reqMethod;

    /**
     * 请求参数
     */
    @Column(name = "req_body")
    @ApiModelProperty(name = "reqBody", value = "请求参数")
    private String reqBody;

    /**
     * 返回结果
     */
    @Column(name = "res_body")
    @ApiModelProperty(name = "resBody", value = "返回结果")
    private String resBody;

    /**
     * 请求头信息
     */
    @Column(name = "header_body")
    @ApiModelProperty(name = "headerBody", value = "请求头信息")
    private String headerBody;

    /**
     * 请求重试次数
     */
    @Column(name = "req_retry")
    @ApiModelProperty(name = "reqRetry", value = "请求重试次数")
    private Integer reqRetry;

    /**
     * 请求状态 -1失败 1成功
     */
    @Column(name = "req_status")
    @ApiModelProperty(name = "reqStatus", value = "请求状态 -1失败 1成功 ")
    private Integer reqStatus;

    /**
     * 链路编号
     */
    @Column(name = "cat_id")
    @ApiModelProperty(name = "catId", value = "链路编号")
    private String catId;

    /**
     * 状态：1  有效  -1  无效
     */
    @Column(name = "status")
    @ApiModelProperty(name = "status", value = "状态：1  有效  -1  无效")
    private Integer status;

    /**
     * 创建时间
     */
    @Column(name = "created")
    @ApiModelProperty(name = "created", value = "创建时间")
    private Date created;

    /**
     * 修改时间
     */
    @Column(name = "updated")
    @ApiModelProperty(name = "updated", value = "修改时间")
    private Date updated;

    /**
     * 创建者
     */
    @Column(name = "creator")
    @ApiModelProperty(name = "creator", value = "创建者")
    private String creator;

    /**
     * 修改者
     */
    @Column(name = "updator")
    @ApiModelProperty(name = "updator", value = "修改者")
    private String updator;

    @Column(name = "error_msg")
    private String errorMsg;

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    /**
     * 获取: Id
     */
    public Integer getId() {
        return id;
    }

    /**
     * 设置: Id
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 获取: 请求路径
     */
    public String getUrl() {
        return url;
    }

    /**
     * 设置: 请求路径
     */
    public void setUrl(String url) {
        this.url = url;
    }

    /**
     * 获取: 请求方式 GET/POST
     */
    public String getReqMethod() {
        return reqMethod;
    }

    /**
     * 设置: 请求方式 GET/POST
     */
    public void setReqMethod(String reqMethod) {
        this.reqMethod = reqMethod;
    }

    /**
     * 获取: 请求参数
     */
    public String getReqBody() {
        return reqBody;
    }

    /**
     * 设置: 请求参数
     */
    public void setReqBody(String reqBody) {
        this.reqBody = reqBody;
    }

    /**
     * 获取: 返回结果
     */
    public String getResBody() {
        return resBody;
    }

    /**
     * 设置: 返回结果
     */
    public void setResBody(String resBody) {
        this.resBody = resBody;
    }

    /**
     * 获取: 请求头信息
     */
    public String getHeaderBody() {
        return headerBody;
    }

    /**
     * 设置: 请求头信息
     */
    public void setHeaderBody(String headerBody) {
        this.headerBody = headerBody;
    }

    /**
     * 获取: 请求重试次数
     */
    public Integer getReqRetry() {
        return reqRetry;
    }

    /**
     * 设置: 请求重试次数
     */
    public void setReqRetry(Integer reqRetry) {
        this.reqRetry = reqRetry;
    }

    /**
     * 获取: 请求状态 -1失败 1成功
     */
    public Integer getReqStatus() {
        return reqStatus;
    }

    /**
     * 设置: 请求状态 -1失败 1成功
     */
    public void setReqStatus(Integer reqStatus) {
        this.reqStatus = reqStatus;
    }

    /**
     * 获取: 链路编号
     */
    public String getCatId() {
        return catId;
    }

    /**
     * 设置: 链路编号
     */
    public void setCatId(String catId) {
        this.catId = catId;
    }

    /**
     * 获取: 状态：1  有效  -1  无效
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 设置: 状态：1  有效  -1  无效
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 获取: 创建时间
     */
    public Date getCreated() {
        return created;
    }

    /**
     * 设置: 创建时间
     */
    public void setCreated(Date created) {
        this.created = created;
    }

    /**
     * 获取: 修改时间
     */
    public Date getUpdated() {
        return updated;
    }

    /**
     * 设置: 修改时间
     */
    public void setUpdated(Date updated) {
        this.updated = updated;
    }

    /**
     * 获取: 创建者
     */
    public String getCreator() {
        return creator;
    }

    /**
     * 设置: 创建者
     */
    public void setCreator(String creator) {
        this.creator = creator;
    }

    /**
     * 获取: 修改者
     */
    public String getUpdator() {
        return updator;
    }

    /**
     * 设置: 修改者
     */
    public void setUpdator(String updator) {
        this.updator = updator;
    }
}
